/**
 * <copyright>
 * </copyright>
 *
 * $Id: InternalEventValidator.java,v 1.1 2008-04-01 09:35:44 vmahe Exp $
 */
package orgomg.cwm.management.warehouseprocess.events.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.management.warehouseprocess.WarehouseProcess;

import orgomg.cwm.objectmodel.core.BooleanExpression;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseprocess.events.InternalEvent}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface InternalEventValidator {
	boolean validate();

	boolean validateTriggeringWP(EList<WarehouseProcess> value);
	boolean validateCondition(BooleanExpression value);
}
